Function
removeGaps
Removes blanks from a gapped sequence.
removeGaps(gapped_sequence, view_position, count)
Include Headers
seqan/align.h
Parameters

gapped_sequence | A gapped sequence. Types: Gaps
view_position | The view position at which up to count blanks are removed.
count | Number of blanks

Remarks
This funcion removes up to count blanks. If there is no gap at position view_position in gapped_sequence, nothing happens. If there are only x < count consecutive blanks starting at position view_position in gappend_sequence, then only x blanks are removed.
See Also
removeGap, insertGaps
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48